import { OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { HttpErrorResponse } from '@angular/common/http';
import { ViewerAnchorDirective } from './viewer-anchor.directive';
import { DocumentViewerService } from './document-viewer.service';
import { ViewerFactoryService } from '../viewers/viewer-factory.service';
import { UrlFixerService } from '../data/url-fixer.service';
import { EmLoggerService } from '../logging/em-logger.service';
import { AnnotationStoreService } from '../data/annotation-store.service';
export declare class DocumentViewerComponent implements OnChanges, OnInit {
    private log;
    private viewerFactoryService;
    private annotationStoreService;
    private urlFixer;
    private documentViewerService;
    viewerAnchor: ViewerAnchorDirective;
    url: string;
    annotate: boolean;
    baseUrl: string;
    isDM: boolean;
    contentType: string;
    rotate: boolean;
    viewerComponent: any;
    error: HttpErrorResponse;
    constructor(log: EmLoggerService, viewerFactoryService: ViewerFactoryService, annotationStoreService: AnnotationStoreService, urlFixer: UrlFixerService, documentViewerService: DocumentViewerService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    buildViewer(): void;
    buildComponent(metadata: any, url: any, annotationSet?: any): void;
}
